<?php
/*
Simfatic Forms has a feature to send the form submission email based on a condition.
Usually, the user would select from a dropdown list and the email would be send only to that recipient. 
When you have too many conditional recipients, it is difficult to add them all in the recipients list.
This extension module helps you add as many conditional recipients as required without the limitations.

### Steps
1. Edit the emails below. The format is 'name' => 'email'. 
The name must match with the names in the dropdown.

2. Add a dummy email address department@yourwebsite.com in Simfatic Forms ->form to email -> recipients list.
This extension module replaces that dummy email address with the actual one in runtime.

3. Add the updated extension module to your form (Simfatic Forms ->extension modules step) and re-upload the form.


*/
class ConditionalMails extends FM_ExtensionModule
{   
    

    function BeforeSendingFormSubmissionEMail(&$receipient,&$subject,&$body)
    {
        //Edit the name and email address below
        //alternatively, the name can be the name of the department
        $department_emails = array(
            'Clarence Kasper' => 'clarence@website.com',
            'Aaron Click'=>'aron@website.com',
            'Nathan Ponce'=>'nathan@website.com',
            
            //add more emails above following the same format
            );
          
            
        if(false !== strpos($receipient, 'department'))
        {
            //Note: update your field name here, (instead of Department)
            if(!empty( $this->formvars['Department'] ))
            {
                $leader = $this->formvars['Department'];
                if(!empty($leader_emails[$leader]))
                {
                    $receipient = $leader_emails[$leader];
                    return true;
                }
            }
            //skip sending email to the dummy address
            return false;
        }
        
        return true;
    }
    
}
